org.apache.hc.client5.http.async.methods

## Class ConfigurableHttpRequest

- java.lang.Object
- - org.apache.hc.core5.http.message.HeaderGroup
  - - org.apache.hc.core5.http.message.BasicHttpRequest
    - - org.apache.hc.client5.http.async.methods.ConfigurableHttpRequest

All Implemented Interfaces:
  Serializable, Configurable, HttpMessage, HttpRequest, MessageHeaders

Direct Known Subclasses:
  SimpleHttpRequest

    public class ConfigurableHttpRequest
    extends BasicHttpRequest
    implements Configurable

HTTP request message with a custom configuration.

Since:
  5.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConfigurableHttpRequest(String method, HttpHost host, String path)`
`ConfigurableHttpRequest(String method, String path)`
`ConfigurableHttpRequest(String method, URI requestUri)`

### Method Summary

Methods
`RequestConfig` `getConfig()` Returns actual request configuration.
`void` `setConfig(RequestConfig requestConfig)`

### Methods inherited from class org.apache.hc.core5.http.message.BasicHttpRequest

`addHeader, getAuthority, getMethod, getPath, getRequestUri, getScheme, getUri, getVersion, setAuthority, setHeader, setPath, setScheme, setVersion, toString`

### Methods inherited from class org.apache.hc.core5.http.message.HeaderGroup

`addHeader, clear, containsHeader, containsHeaders, countHeaders, getAllHeaders, getCondensedHeader, getFirstHeader, getHeader, getHeaders, getHeaders, getLastHeader, getSingleHeader, headerIterator, headerIterator, removeHeader, removeHeaders, removeHeaders, setHeader, setHeaders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.hc.core5.http.HttpMessage

`addHeader, removeHeader, removeHeaders, setHeader, setHeaders`

### Methods inherited from interface org.apache.hc.core5.http.MessageHeaders

`containsHeader, containsHeaders, countHeaders, getAllHeaders, getFirstHeader, getHeader, getHeaders, getHeaders, getLastHeader, getSingleHeader, headerIterator, headerIterator`

### Constructor Detail

#### ConfigurableHttpRequest

    public ConfigurableHttpRequest(String method,
                           String path)

#### ConfigurableHttpRequest

    public ConfigurableHttpRequest(String method,
                           HttpHost host,
                           String path)

#### ConfigurableHttpRequest

    public ConfigurableHttpRequest(String method,
                           URI requestUri)

### Method Detail

#### getConfig

    public RequestConfig getConfig()

Description copied from interface: `Configurable`
Returns actual request configuration.

Specified by:
  `getConfig` in interface `Configurable`

#### setConfig

    public void setConfig(RequestConfig requestConfig)